# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.15

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/bin/cmake

# The command to remove a file.
RM = /usr/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/book/hisi3518_lora

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/book/hisi3518_lora/cmake-build-debug

# Include any dependencies generated for this target.
include mqtt/CMakeFiles/mc-mqtt_static.dir/depend.make

# Include the progress variables for this target.
include mqtt/CMakeFiles/mc-mqtt_static.dir/progress.make

# Include the compile flags for this target's objects.
include mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.o: ../mqtt/MQTTConnectClient.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTConnectClient.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTConnectClient.c > CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTConnectClient.c -o CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.s

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.o: ../mqtt/MQTTConnectServer.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTConnectServer.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTConnectServer.c > CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTConnectServer.c -o CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.s

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.o: ../mqtt/MQTTDeserializePublish.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTDeserializePublish.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTDeserializePublish.c > CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTDeserializePublish.c -o CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.s

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.o: ../mqtt/MQTTFormat.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTFormat.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTFormat.c > CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTFormat.c -o CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.s

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.o: ../mqtt/MQTTPacket.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTPacket.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTPacket.c > CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTPacket.c -o CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.s

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.o: ../mqtt/MQTTSerializePublish.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTSerializePublish.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTSerializePublish.c > CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTSerializePublish.c -o CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.s

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.o: ../mqtt/MQTTSubscribeClient.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTSubscribeClient.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTSubscribeClient.c > CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTSubscribeClient.c -o CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.s

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.o: ../mqtt/MQTTSubscribeServer.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_8) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTSubscribeServer.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTSubscribeServer.c > CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTSubscribeServer.c -o CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.s

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.o: ../mqtt/MQTTUnsubscribeClient.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_9) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTUnsubscribeClient.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTUnsubscribeClient.c > CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTUnsubscribeClient.c -o CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.s

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.o: mqtt/CMakeFiles/mc-mqtt_static.dir/flags.make
mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.o: ../mqtt/MQTTUnsubscribeServer.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_10) "Building C object mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.o"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.o   -c /home/book/hisi3518_lora/mqtt/MQTTUnsubscribeServer.c

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.i"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/book/hisi3518_lora/mqtt/MQTTUnsubscribeServer.c > CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.i

mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.s"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/book/hisi3518_lora/mqtt/MQTTUnsubscribeServer.c -o CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.s

# Object files for target mc-mqtt_static
mc__mqtt_static_OBJECTS = \
"CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.o" \
"CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.o" \
"CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.o" \
"CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.o" \
"CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.o" \
"CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.o" \
"CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.o" \
"CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.o" \
"CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.o" \
"CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.o"

# External object files for target mc-mqtt_static
mc__mqtt_static_EXTERNAL_OBJECTS =

../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectClient.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTConnectServer.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTDeserializePublish.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTFormat.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTPacket.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSerializePublish.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeClient.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTSubscribeServer.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeClient.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/MQTTUnsubscribeServer.c.o
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/build.make
../build/lib/libmc-mqtt.a: mqtt/CMakeFiles/mc-mqtt_static.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles --progress-num=$(CMAKE_PROGRESS_11) "Linking C static library ../../build/lib/libmc-mqtt.a"
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && $(CMAKE_COMMAND) -P CMakeFiles/mc-mqtt_static.dir/cmake_clean_target.cmake
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/mc-mqtt_static.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
mqtt/CMakeFiles/mc-mqtt_static.dir/build: ../build/lib/libmc-mqtt.a

.PHONY : mqtt/CMakeFiles/mc-mqtt_static.dir/build

mqtt/CMakeFiles/mc-mqtt_static.dir/clean:
	cd /home/book/hisi3518_lora/cmake-build-debug/mqtt && $(CMAKE_COMMAND) -P CMakeFiles/mc-mqtt_static.dir/cmake_clean.cmake
.PHONY : mqtt/CMakeFiles/mc-mqtt_static.dir/clean

mqtt/CMakeFiles/mc-mqtt_static.dir/depend:
	cd /home/book/hisi3518_lora/cmake-build-debug && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/book/hisi3518_lora /home/book/hisi3518_lora/mqtt /home/book/hisi3518_lora/cmake-build-debug /home/book/hisi3518_lora/cmake-build-debug/mqtt /home/book/hisi3518_lora/cmake-build-debug/mqtt/CMakeFiles/mc-mqtt_static.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : mqtt/CMakeFiles/mc-mqtt_static.dir/depend

